function setRulerUnits() {
    if (app.documents.length === 0) {
      alert("Нет открытых документов. Пожалуйста, откройте документ InDesign.");
      return;
    }
  
    var doc = app.activeDocument;
  
    // Создаём диалоговое окно
    var dialog = app.dialogs.add({ name: "Выбор единиц измерения" });
  
    var column = dialog.dialogColumns.add();
    var row = column.dialogRows.add();
    var unitsDropdown = row.dropdowns.add({
      stringList: ["Пункты", "Миллиметры"],
      selectedIndex: 0,
      minWidth: 150
    });
  
    if (!dialog.show()) {
      dialog.destroy();
      return; // Пользователь отменил
    }
  
    var selectedUnits = unitsDropdown.stringList[unitsDropdown.selectedIndex];
    dialog.destroy();
  
    // Применение выбранных единиц измерения
    try {
      app.doScript(function () {
        var unit = (selectedUnits === "Пункты") ? MeasurementUnits.POINTS : MeasurementUnits.MILLIMETERS;
        doc.viewPreferences.horizontalMeasurementUnits = unit;
        doc.viewPreferences.verticalMeasurementUnits = unit;
      }, ScriptLanguage.javascript, [], UndoModes.ENTIRE_SCRIPT, "Изменить единицы измерения");
  
      alert("Единицы измерения линеек изменены на " + selectedUnits.toLowerCase() + ".");
    } catch (e) {
      alert("Произошла ошибка: " + e.message);
    }
  }
  
  // Запуск функции
  setRulerUnits();
  